name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: packager
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - run: '& "C:/Program Files/Epic Games/UE_5.6/Engine/Build/BatchFiles/RunUAT.bat" BuildCookRun -project="${{ gitea.workspace }}/UE56_Template/UE56_Template.uproject" -noP4 -platform=Win64 -clientconfig=Development -cook -allmaps -build -stage -pak -archive -archivedirectory="C:/UE5Projects/Packaged"'
